ClientResource (gCube VRE Deploy Wizard Portlet 3.3.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientResource

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientResource

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class ClientResource
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    massi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientResource()`
    `ClientResource(String resourceid, String resourceType, DeployStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceid()`
    `String` | `getResourceType()`
    `DeployStatus` | `getStatus()`
    `void` | `setResourceid(String resourceid)`
    `void` | `setResourceType(String resourceType)`
    `void` | `setStatus(DeployStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientResource

          public ClientResource()

    - #### ClientResource

          public ClientResource(String resourceid,
                        String resourceType,
                        DeployStatus status)

      Parameters:
        `resourceid` - -
        `resourceType` - -
        `status` - -

  - ### Method Detail

    - #### getResourceid

          public String getResourceid()

      Returns:
        -

    - #### setResourceid

          public void setResourceid(String resourceid)

      Parameters:
        `resourceid-` -

    - #### getResourceType

          public String getResourceType()

      Returns:
        -

    - #### setResourceType

          public void setResourceType(String resourceType)

      Parameters:
        `resourceType` - -

    - #### getStatus

          public DeployStatus getStatus()

      Returns:
        -

    - #### setStatus

          public void setStatus(DeployStatus status)

      Parameters:
        `status` - -

Copyright © 2014. All Rights Reserved.